package com.chaozhanggui.dao.system.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class TbPlussOfficialGoods implements Serializable {
    private Integer id;

    private String goodname;

    private BigDecimal goodprice;

    private String status;

    private String toimgurl;

    private String imgurl;

    private Date createtime;

    private Integer ispostage;

    private BigDecimal postagefee;

    private Integer deductrule;

    private BigDecimal deductvalue;

    private String gooddesc;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGoodname() {
        return goodname;
    }

    public void setGoodname(String goodname) {
        this.goodname = goodname == null ? null : goodname.trim();
    }

    public BigDecimal getGoodprice() {
        return goodprice;
    }

    public void setGoodprice(BigDecimal goodprice) {
        this.goodprice = goodprice;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status == null ? null : status.trim();
    }

    public String getToimgurl() {
        return toimgurl;
    }

    public void setToimgurl(String toimgurl) {
        this.toimgurl = toimgurl == null ? null : toimgurl.trim();
    }

    public String getImgurl() {
        return imgurl;
    }

    public void setImgurl(String imgurl) {
        this.imgurl = imgurl == null ? null : imgurl.trim();
    }

    public Date getCreatetime() {
        return createtime;
    }

    public void setCreatetime(Date createtime) {
        this.createtime = createtime;
    }

    public Integer getIspostage() {
        return ispostage;
    }

    public void setIspostage(Integer ispostage) {
        this.ispostage = ispostage;
    }

    public BigDecimal getPostagefee() {
        return postagefee;
    }

    public void setPostagefee(BigDecimal postagefee) {
        this.postagefee = postagefee;
    }

    public Integer getDeductrule() {
        return deductrule;
    }

    public void setDeductrule(Integer deductrule) {
        this.deductrule = deductrule;
    }

    public BigDecimal getDeductvalue() {
        return deductvalue;
    }

    public void setDeductvalue(BigDecimal deductvalue) {
        this.deductvalue = deductvalue;
    }

    public String getGooddesc() {
        return gooddesc;
    }

    public void setGooddesc(String gooddesc) {
        this.gooddesc = gooddesc == null ? null : gooddesc.trim();
    }
}